
Redmine - Defect #5513

The length of Name filed in add new category does not match max length

2010-05-12 14:58 - Aaron Parks

Status: New Start date: 2010-05-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When typing in a value into the Name field of "Add New Category" it is possible to get a "Name is to long (Maximum is 30

characters)" Error even though the entire entered value can be seen in the text box.

It would be better if the number of columns in the the text box was equal in length to the number of valid characters.

Related issues:

Related to Redmine - Patch #1791: Raise issue-categories name length-limit fr... Closed 2008-08-14

History

#1 - 2010-05-12 16:40 - Felix Schäfer

- Category changed from Issues to UI

#2 - 2010-05-13 17:15 - Alain Alain091

- File issue_categories.rhtml.patch added

The tip is to add an :maxlength parameter in the text_field

see the patch attached

#3 - 2016-02-07 08:38 - Toshi MARUYAMA

FTR: length of category name is changed to 60 by #20991 (Redmine 3.2.0).

Files

issue_categories.rhtml.patch 496 Bytes 2010-05-13 Alain Alain091
